import java.io.*;
import java.util.*;
import java.awt.*;
import javax.imageio.*;
import java.awt.image.*;

class AnimCreator
{
	BufferedImage imgBuf;
	Graphics2D g2D;
    int width = 640;
    int height = 480;
	static Random r;
	
	AnimCreator(int width, int height)
	{
		this.width=width;
		this.height=height;
		r=new Random(10236);
        // Create a buffered image in which to draw
        imgBuf= new BufferedImage(width, height, BufferedImage.TYPE_INT_RGB);
		g2D=imgBuf.createGraphics();
		g2D.setBackground(Color.white);
		g2D.setColor(Color.black);
	}
	void saveImage(String fname)
	{
	    try { // fuck transparency
	        // Save as JPEG
	        File file = new File(fname);
	        ImageIO.write(imgBuf, "jpg", file);
	    } catch (IOException e) {
	    }
    }
	void saveImage(String fbase,int i)
	{
		String str=Integer.toString(i);
		String pad="";
		for (int j=0;j<5-str.length();j++)
			pad="0"+pad;
		saveImage(fbase+pad+str+".jpg");
	}
	void saveImage(Image img,String fbase, int i)
	{
		g2D.drawImage(img, 0, 0, null);
		saveImage(fbase,i);
	}
	void fillFrame()
	{
		g2D.clearRect(0,0,width,height);
	}
	void saveAndShow(int fidx)
	{
		fillFrame();
		saveImage("output",fidx);
	}
}