set terminal postscript color
set output 'full-comparison.ps'
set xlabel 'Max Energy Usage'
set ylabel 'Average Latency'
set xrange [0:75000]
set key outside

plot \
"< for i in 2-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '2-mlp',\
"< for i in 2-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '2-tsp',\
"< for i in 3-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '3-mlp',\
"< for i in 3-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '3-tsp',\
"< for i in 4-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '4-mlp',\
"< for i in 4-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '4-tsp',\
"< for i in 5-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '5-mlp',\
"< for i in 5-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '5-tsp',\
"< for i in 6-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '6-mlp',\
"< for i in 6-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '6-tsp',\
"< for i in 7-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '7-mlp',\
"< for i in 7-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '7-tsp',\
"< for i in 8-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '8-mlp',\
"< for i in 8-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '8-tsp',\
"< for i in merchant.txt;do tail -n 7 $i| head -n 1;done" with points title 'merc',\
"< for i in merchantv2.txt;do tail -n 7 $i| head -n 1;done" with points title 'merc2',\
"< for i in merchantv3.txt;do tail -n 7 $i| head -n 1;done" with points title 'merc3',\
"< for i in salmon.txt;do tail -n 7 $i| head -n 1;done" with points title 'slm',\
"< for i in randomwalker.txt;do tail -n 7 $i| head -n 1;done" with points title 'rnd',\
"< for i in merchant-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title 'merc-t',\
"< for i in merchantv2-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title 'merc2-t',\
"< for i in merchantv3-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title 'merc3-t',\
"< for i in salmon-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title 'slm-t',\
"< for i in randomwalker-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title 'rnd-t'

set output 'full-comparison-50.ps'

plot \
"< for i in 50-2-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-2-mlp',\
"< for i in 50-2-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-2-tsp',\
"< for i in 50-3-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-3-mlp',\
"< for i in 50-3-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-3-tsp',\
"< for i in 50-4-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-4-mlp',\
"< for i in 50-4-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-4-tsp',\
"< for i in 50-5-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-5-mlp',\
"< for i in 50-5-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-5-tsp',\
"< for i in 50-6-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-6-mlp',\
"< for i in 50-6-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-6-tsp',\
"< for i in 50-7-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-7-mlp',\
"< for i in 50-7-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-7-tsp',\
"< for i in 50-8-mlp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-8-mlp',\
"< for i in 50-8-tsp.txt;do tail -n 7 $i| head -n 1;done" with points title '50-8-tsp',\
"< for i in 50-merchant.txt;do tail -n 7 $i| head -n 1;done" with points title '50-merc',\
"< for i in 50-merchantv2.txt;do tail -n 7 $i| head -n 1;done" with points title '50-merc2',\
"< for i in 50-merchantv3.txt;do tail -n 7 $i| head -n 1;done" with points title '50-merc3',\
"< for i in 50-salmon.txt;do tail -n 7 $i| head -n 1;done" with points title '50-salmon',\
"< for i in 50-randomwalker.txt;do tail -n 7 $i| head -n 1;done" with points title '50-rnd',\
"< for i in 50-merchant-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title '50-merc-t',\
"< for i in 50-merchantv2-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title '50-merc2-t',\
"< for i in 50-merchantv3-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title '50-merc3-t',\
"< for i in 50-salmon-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title '50-slm-t',\
"< for i in 50-randomwalker-trackrobot.txt;do tail -n 7 $i| head -n 1;done" with points title '50-rnd-t'

#'50-6-mlp.txt' with lines title '50-6-mlp',\
#'50-5-mlp.txt' with lines title '50-5-mlp',\
#'50-4-mlp.txt' with lines title '50-4-mlp',\
#'50-3-mlp.txt' with lines title '50-3-mlp',\
#'50-2-mlp.txt' with lines title '50-2-mlp',\
#'50-8-tsp.txt' with lines title '50-8-tsp',\
#'50-7-tsp.txt' with lines title '50-7-tsp',\
#'50-6-tsp.txt' with lines title '50-6-tsp',\
#'50-5-tsp.txt' with lines title '50-5-tsp',\
#'50-4-tsp.txt' with lines title '50-4-tsp',\
#'50-3-tsp.txt' with lines title '50-3-tsp',\
#'50-2-tsp.txt' with lines title '50-2-tsp',\
#'50-merchant.txt' with lines title '50-merchant',\
#'50-merchantv2.txt' with lines title '50-merchantv2',\
#'50-merchantv3.txt' with lines title '50-merchantv3',\
#'50-salmon.txt' with lines title '50-salmon',\
#'50-randomwalker.txt' with lines title '50-randomwalker'


q
