set terminal postscript color
set output 'mlp-tsp-comparison.ps'
set xlabel 'Max Energy Usage'
set ylabel 'Average Latency'
set key top left

plot \
'8-mlp.txt' with lines title '8-mlp',\
'7-mlp.txt' with lines title '7-mlp',\
'6-mlp.txt' with lines title '6-mlp',\
'5-mlp.txt' with lines title '5-mlp',\
'4-mlp.txt' with lines title '4-mlp',\
'3-mlp.txt' with lines title '3-mlp',\
'2-mlp.txt' with lines title '2-mlp',\
'8-tsp.txt' with lines title '8-tsp',\
'7-tsp.txt' with lines title '7-tsp',\
'6-tsp.txt' with lines title '6-tsp',\
'5-tsp.txt' with lines title '5-tsp',\
'4-tsp.txt' with lines title '4-tsp',\
'3-tsp.txt' with lines title '3-tsp',\
'2-tsp.txt' with lines title '2-tsp'

q
